@media screen and (max-width: 320px)  {
  div.catalogs {
    /* grid-template-columns: repeat(2, 1fr); */
    --grid-column-count: 2;
  }
}

@media screen and (min-width: 321px) and (max-width: 400px) {
  div.catalogs {
    /* grid-template-columns: repeat(3, 1fr); */
    --grid-column-count: 3;
  }
}
@media screen and (min-width: 401px) and (max-width: 520px) {
  div.catalogs {
    /* grid-template-columns: repeat(4, 1fr); */
    --grid-column-count: 4;
  }
}
@media screen and (min-width: 521px) and (max-width:600px) {
  div.catalogs {
    /* grid-template-columns: repeat(5, 1fr); */
    --grid-column-count: 5;
  }
}
@media screen and (min-width: 601px) and (max-width: 720px) {
  div.catalogs {
    /* grid-template-columns: repeat(6, 1fr); */
    --grid-column-count: 6;
  }
}
@media screen and (min-width: 721px) and (max-width: 800px) {
  div.catalogs {
    /* grid-template-columns: repeat(7, 1fr); */
    --grid-column-count: 7;
  }
}
@media screen and (min-width: 801px) {
  div.catalogs {
    /* grid-template-columns: repeat(8, 1fr); */
    --grid-column-count: 8;
  }
}

div.scroll-catalogs {
  display: flex;
  flex-direction: row;
  overflow-x: scroll;
  column-gap: 15px ;
}

div.scroll-catalogs > div.catalog-container {
  width: 120px ;
}
div.catalogs {
  /* display: grid ;
  gap: 15px ;
  grid-auto-columns: minmax(0, 1fr);
  grid-auto-flow: column; */
  /* justify-content: space-around;

  /* display: flex ;
  flex-direction:  row; */

  --grid-layout-gap: 15px;
  --grid-item--min-width: 100px;

  /**
   * Calculated values.
   */
  --gap-count: calc(var(--grid-column-count) - 1);
  --total-gap-width: calc(var(--gap-count) * var(--grid-layout-gap));
  --grid-item--max-width: calc((100% - var(--total-gap-width)) / var(--grid-column-count));

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(max(var(--grid-item--min-width), var(--grid-item--max-width)), 1fr));
  grid-gap: var(--grid-layout-gap);
}

div.catalog-container {
  width: auto;
  cursor: pointer;
}

div.catalog-icon-light,
div.catalog-icon-dark {
  /* width: 100px ; */
  /* height: 100px ; */
  padding: 30px ;
  border-radius: 8px ;
}

div.catalog-icon-light {
  background-color: rgba( 0,0,0,.15 ) ;
  display: grid;
  justify-content: center;
  align-items: center;
}
div.catalog-icon-dark {
  background-color: rgba( 255,255,255,.15 ) ;
}
div.catalog-icon-light > img ,
div.catalog-icon-dark > img {
  width : 40px ;
}

div.catalog-name {
  font-size: 14px ;
  font-weight: 400 ;
  line-height: 22px;
  text-align: center;
}
